al_set_path_extension(3)

NAME

al_set_path_extension - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_path_extension(ALLEGRO_PATH *path, char const *extension)

DESCRIPTION

Replaces the extension of the path with the given one, i.e. replaces everything from the final dot ('.') character onwards, including the dot. If the filename of the path has no extension, the given one is appended. Usually the new extension you supply should include a leading dot.

Returns false if the path contains no filename part, i.e. the filename part is the empty string.

SEE ALSO

al_set_path_filename(3), al_get_path_extension(3)